---
title: Retrieve Multiple Data Source Entries
description: Retrieve multiple datasource entries with filtering by data source and dimension.
url: https://www.storyblok.com/docs/api/content-delivery/v2/data-source-entries/retrieve-multiple-data-source-entries
---

# Retrieve Multiple Data Source Entries

Retrieve multiple datasource entries with filtering by data source and dimension.

GET

```html
https://api.storyblok.com/v2/cdn/datasource_entries
```

## Query parameters

-   `datasource` (string)
    
    Data source `slug`.
    
-   `dimension` (string)
    
    A datasource dimension.
    
-   `cv` (integer)
    
    Cached version Unix timestamp. Learn more in the [Caching concept](https://www.storyblok.com/docs/concepts/caching).
    
-   `page` (integer)
    
    Page number in a [paginated](https://www.storyblok.com/docs/api/content-delivery/v2#pagination) response.
    
-   `per_page` (integer)
    
    The number of items per page in a [paginated](https://www.storyblok.com/docs/api/content-delivery/v2#pagination) response.
    
-   `token` (required) (string)
    
    A preview or public [access token](https://www.storyblok.com/docs/concepts/access-tokens) configured in a space.
    

## Response properties

-   `datasource_entries` (array<DatasourceEntry>)
    
    An array of data source entry objects.
    
    Show child properties
    
    -   `id` (integer)
        
        Entry ID.
        
    -   `name` (string)
        
        Entry name.
        
    -   `value` (string)
        
        Entry value (default dimension).
        
    -   `dimension_value` (string | null)
        
        Entry value (requested dimension).
        
    
-   `cv` (integer | null)
    
    Cached version Unix timestamp. Learn more in the [Caching concept](https://www.storyblok.com/docs/concepts/caching).
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/datasource_entries\
    ?datasource=product-labels\
    &dimension=de\
    &token=YOUR_ACCESS_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/datasource_entries', {
        "datasource": "product-labels",
        "dimension": "de"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->getDatasourceEntries('product-labels', [
      "dimension" => "de"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/datasource_entries?datasource=product-labels&dimension=de&token=YOUR_ACCESS_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/datasource_entries?datasource=product-labels&dimension=de&token=YOUR_ACCESS_TOKEN");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/datasource_entries"
    
    querystring = {"datasource":"product-labels","dimension":"de","token":"YOUR_ACCESS_TOKEN"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.datasource_entries({:params => {
      "datasource" => "product-labels",
      "dimension" => "de"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "YOUR_ACCESS_TOKEN"))
    var request = URLRequest(storyblok: storyblok, path: "datasource_entries")
    request.url!.append(queryItems: [
        URLQueryItem(name: "datasource", value: "product-labels"),
        URLQueryItem(name: "dimension", value: "de")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "YOUR_ACCESS_TOKEN"
        }
    }
    
    val response = client.get("datasource_entries") {
        url {
            parameters.append("datasource", "product-labels")
            parameters.append("dimension", "de")
        }
    }
    
    println(response.body<JsonElement>())
    ```

Response

```json
{
"datasource_entries": [
  {
    "id": 1001,
    "name": "de",
    "value": "de",
    "dimension_value": "en"
  },
  {
    "id": 1002,
    "name": "fr",
    "value": "fr",
    "dimension_value": null
  }
],
"cv": 1541863983
}
```

## Pagination

-   [Previous: Get Signed URL](/docs/api/content-delivery/v2/assets/get-signed-url)
-   [Next: Retrieve Multiple Data Sources](/docs/api/content-delivery/v2/data-sources/retrieve-multiple-data-sources)
